@charset "UTF-8";
/* CSS Document */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

h1, h2, h3, h4, h5, h6 {
  font-family: 'Oswald', sans-serif;
} 
.contact p {
	color: #000000;
}
.contact p:hover {
	color: #555;
}

.resume {
	display: inline-block;
    background: #000000;
    border-radius: 28px;
    color: white;
    font-size: 15px;
    padding: 10px 20px 10px 20px;
    text-decoration: none;
    margin: 2% 20% 2% 45.3%;
	
}

.resume:hover {
    background-color: gray;
}

html {
  font-family: 'Raleway', sans-serif;
  font-size: 16px;
  color: #555;
}

a {
  color: white;
}
 
ul {
  list-style: none;
}

h3 {
  color: #3B3B3B;
  text-transform: capitalize;
  font-size: 32px;
  margin-bottom: 35px;
  text-align: center;
}

hr {
  width: 180px;
  height: 5px;
  background-color: #000000;
  border: 0;
  margin: 40px auto;
}

/* Header Nav */

header {
  background-color: #3B3B3B;
  position: fixed;
  z-index: 10;
  top: 0;
  left: 0;
  width: 100%;
  color: #fff;
  padding: 13px;
  margin: 0 auto;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

header a {
  text-decoration: none;
  color: white;
  opacity: .6;
  cursor: pointer;
}

header a:hover {
  opacity: 1;
}

header nav ul {
  font-size: 14px;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
 
}

header nav li {
  margin: 0 10px;
}

header nav li:first-child {
  margin-left: 0;
}

header nav li:last-child {
  margin-right: 0;
}



/* hero styles */

#hero {
  background: #3b3b3b;
  color: white;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: right;
  background-repeat: no-repeat;
  background-size: auto;
  background-position: center;

}

#hero {
  min-height: 300px;
}

#hero h1, #hero h3 {
  font-size: 35px;
 

}

#hero h1 {
  font-size: 80px;
  margin-top: 60px;
  color: #f5f0f5;
}

#hero h3 {
	color: #D1CBCB;
}

#hero a.btn {
  color: white;
  background-color: #000000;
  text-decoration: none;
  padding: 20px 46px;
  border-radius: 8px;
  text-transform: uppercase;
  font-weight: bold;
  text-align: center;
  opacity: 1;
  border: 2px solid white;
}

#hero a.btn:hover {
  background-color: #D1CBCB;
}


/* about styles */


#about {
  padding: 10px;
  background-color: #D1CBCB;
  margin-bottom: 20px;
}

#two-cols {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.about-img {
  /*border: 4px solid rgba(169,86,44,1.00);
  background-color: rgba(169,86,44,1.00);*/
}

.about-bio {
  width: 65%;
  max-width: 800px;
  line-height: 2;
  margin-left: 20px;
  text-decoration-color: #000000;
}
.about {
  width: 65%;
  max-width: 800px;
  line-height: 2;
  margin-left: 300px;
}

/* Contact Styles */

section.flexbox-section {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
 
section.flexbox-section p {
  max-width: 900px;
  text-align: center;
  margin-bottom: 35px;
  padding: 0 20px;
  line-height: 1.5;
}
		

/* grid styles*/
		
main {
	width:90%;
	max-width: 800px;

	/* grid setup */

	display: grid;
	grid-template-columns: 1fr 1fr 1fr; /* 3 columns, each 1/3 or 1fr=1/3 */
	grid-template-rows: 10vh 4vh 38vh 38vh 10vh; /* vertical height for each row (10%, 4%, 38%, 38%, 10%) should always equal 100%*/
	grid-gap: 15px; /* adds space between each grid */
	margin: 0 auto; /* centers */
	
}



#container1, #container2, #container3, #container4, #container5 {
	grid-template-areas:
	"header header header"
	"nav nav nav"
	"one two three"
	"four five six"
	"footer footer footer";
}

#container1 img, #container2 img, #container3 img, #container4 img, #container5 img {
	padding: 5px;
}

.card {
    background-color: #D1CBCB;
}

#container1 p, #container2 p, #container3 p, #container4 p, #container5 p {
	padding: 15px;
}


.card-blue {
    background-color: #D1CBCB;
}

.card-title{
    color:white;
    background-color: #000000;
    font-size: 1.25em;
    padding: 5px;
    margin-bottom: 10px;
    text-align: center;
}

.options {
    width: 95%;
    background-color: white;
    padding: 10px;
    border-top: 3px solid #000000;
    border-radius: 3px;
	
	display:flex;
    align-items: center;
    justify-content: space-around;
}

.options-link {
    text-decoration: none;
    font-size: 0.9em;
    color: #000000;
}

.options-link:hover {
    color: darkgray;
    text-decoration: underline;
}

.one {
   grid-area: one;
   
}

.two {
   grid-area: two;
   
}

.three {
   grid-area: three;
     
}

.four {
    grid-area: four;
    
}

.five {
    grid-area: five;
    
}

.six {
    grid-area: six;
    
}

/* card styles */

.graphs {
	font-size: 100px;
	line-height: 1;
	margin: 10px 0;
	text-align: center;
}

section img {
	max-width: 100%;
}

.profile {
	width: 50%;
	border-radius: 50%;
	margin-bottom: 5px;
	border: 6px solid #D1CBCB;
}

/* Button styles */

.btn {
    display:inline-block;
    background: #000000;
    border-radius: 28px;
    color: white;
    font-size: 15px;
    padding: 10px 20px 10px 20px;
    text-decoration: none;
    margin: 2% 0 2% 25%;
}

.btn:hover {
    background-color: gray;
}

/* gallery styles */

#gallery {
  background-color: #f7f7f7;
}

#gallery .grid li {
  padding: 20px;
  height: 350px;
}

#gallery ul.grid {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

#gallery .grid li.small {
  flex-basis: 30%;
  border: solid 2px white;
  border-radius: 20px;
}

#gallery .grid li.large {
  flex-basis: 30%;
}

#gallery .grid li {
  padding: 20px;
  height: 350px;
  border-radius: 3px;
  background-clip: content-box;
  background-size: cover;
  background-position: center;
  background-color: #333;
}

#gallery p {
  max-width: 800px;
  text-align: center;
  margin: 0 auto 35px;
  padding: 0 20px;
  line-height: 2;
}


/* footer styles */

footer {
  background-color: #3b3b3b;
  color: white;
  text-align: center;
  padding: 60px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
}

footer p {
  text-transform: uppercase;
  font-size: 14px;
  color: rgba(255, 255, 255, .6);
  margin-bottom: 10px;
}

footer ul {
  margin-bottom: 25px;
  display: flex;
  flex-direction: row;
}

footer ul li {
  margin: 0 8px;
}

footer ul li a {
  font-size: 36px;
  cursor: pointer;
}



/* Responsive styles */ 
@media(min-width:320px) and (max-width:600px){
	
	#top ul{
		width: 100%;
		display: inline-flex;
		justify-content: center;
		margin-bottom: 0;
		margin-top: 0;
		font-size: 9px;
	}
	
	#top header {
		height: 10%;
	}
}
@media screen and (max-width:500px){
	
    main {
        width:100%;
        max-width: 500px;
        
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: auto auto auto auto auto auto auto auto 20vh;
        grid-gap: 15px;
        margin: 0 auto;
    }
    
    #container1, #container2, #container3, #container4, #container5 {
        grid-template-areas:
            "header"
            "nav"
            "one"
            "two"
            "three"
            "four"
            "five"
			"six"
            "footer";
    }
	
	header {
			display: flex;
			align-items: center;
			justify-content: center;
			margin-bottom: 0;
	}

	header h1 { 
			font-size: 1.75em;
			padding-top: 25px;
	}

	nav {
			margin-top:0;
		    width: 100%;
	}
	

	.options {
			font-size: 12px;	
	}

	footer {
		margin-bottom: 100px;
	}

	div {
		border-bottom-left-radius: 0px;
		border-bottom-right-radius: 0px;
	}
	
}

@media(max-width:600px) {
	
  #about, #two-cols {
    flex-direction: column;
  }
  .about-bio {
    margin-top: 20px;
    line-height: 1.5;
    text-align: left;
  }
	.resume {
		padding: 10px;
  }
}

@media(max-width: 800px) {
  
  footer {
    padding: 80px 15px;
  }

  #hero h1 {
    font-size: 36px;
  }
  #hero h3 {
    font-size: 18px;
  }
  #hero a.btn {
    padding: 15px 40px;
  }
  .resume {
	margin-left: 42%;
  }
}

@media(max-width: 1000px) {
	
  #gallery .grid li.small, #gallery .grid li.large {
    flex-basis: 100%;
  }
   header {
	display: flex;
    text-align: center;
    flex-direction: column;
    padding: 20px 50px;
  }
  header img {
    width: 75%;
  }
  header nav {
    justify-content: space-around;
  }
  header h2 {
    margin-bottom: 15px;
  }
}

@media(min-width: 1000px) {
	.resume {
		margin-left: 44%;
	}
}

@media screen and (min-width:1100px){
	
    main {
        width:90%;
        max-width: 800px;
        
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: auto 4vh auto auto 10vh;
        grid-gap: 15px;
        margin: 0 auto;
    }
    
    #container1, #container2, #container3, #container4, #container5 {
        grid-template-areas:
            "header header header"
            "nav nav nav"
            "one two three"
            "four five six"
            "footer footer footer";
    }
	
	div {
		border-bottom-left-radius: 10px;
		border-bottom-right-radius: 10px;
		border-top-left-radius: 10px;
		border-top-right-radius: 10px;
	}
	.resume {
		margin-left: 45%;
	}  
}

@media screen and (max-width:1100px){
	
    main {
        width:90%;
        max-width: 800px;
        
        display: grid;
        grid-template-columns: 1fr 1fr; /*Only two elements here since we have 2 columns*/
        grid-template-rows: auto 4vh auto auto auto 10vh;
        grid-gap: 15px;
        margin: 0 auto;
    }
    
    #container1, #container2, #container3, #container4, #container5 {
        grid-template-areas:
            "header header"
            "nav nav"
            "one two"
            "three four"
            "five six"
            "footer footer";
    }
	
	header {
		display: flex;
		align-items: center;
		justify-content: center;
	}

	header h1 { 
		font-size: 2.5em;
	}

	section {
		font-size: 14px;
		padding: 10px;
	}

	.profile {
		width:20%;
	}

	.graphs {
		font-size: 90px;
		margin: 3% 0 0;
	}

	div {
		border-bottom-left-radius: 10px;
		border-bottom-right-radius: 10px;
	}
}
